Package org.apache.sling.cms

## Interface PageTemplate

    @ProviderType
    public interface PageTemplate

An interface for representing a page template. Adaptable from a sling:Template Resource.

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getAllowedPaths()` Gets the paths under which pages for this template can be created.
`List<ComponentPolicy>` `getComponentPolicies()` Gets the list of Component Policies for pages created with this template
`org.apache.sling.api.resource.Resource` `getResource()` Gets the Resource backing this template
`String` `getTemplate()` Gets the Handlebars template to use for creating the content of the page
`String` `getTitle()` Gets the title of the template

### Method Detail

#### getAllowedPaths

    String[] getAllowedPaths()

Gets the paths under which pages for this template can be created.

Returns:
  the allowedPaths

#### getComponentPolicies

    List<ComponentPolicy> getComponentPolicies()

Gets the list of Component Policies for pages created with this template

Returns:
  the component policies

#### getResource

    org.apache.sling.api.resource.Resource getResource()

Gets the Resource backing this template

Returns:
  the resource

#### getTemplate

    String getTemplate()

Gets the Handlebars template to use for creating the content of the page

Returns:
  the template

#### getTitle

    String getTitle()

Gets the title of the template

Returns:
  the title